Loading...
Searching...
No Matches
AVEncryptionInfo Struct Reference

This describes encryption info for a packet. More...

`#include <libavutil/encryption_info.h>`

## Data Fields

uint32_t | scheme
| The fourcc encryption scheme, in big-endian byte order.
uint32_t | crypt_byte_block
| Only used for pattern encryption.
uint32_t | skip_byte_block
| Only used for pattern encryption.
uint8_t * | key_id
| The ID of the key used to encrypt the packet.
uint32_t | key_id_size
uint8_t * | iv
| The initialization vector.
uint32_t | iv_size
AVSubsampleEncryptionInfo * | subsamples
| An array of subsample encryption info specifying how parts of the sample are encrypted.
uint32_t | subsample_count

## Detailed Description

This describes encryption info for a packet.

This contains frame-specific info for how to decrypt the packet before passing it to the decoder.

The size of this struct is not part of the public ABI.

Definition at line 43 of file encryption_info.h.

## Field Documentation

## scheme

uint32_t AVEncryptionInfo::scheme

The fourcc encryption scheme, in big-endian byte order.

Definition at line 45 of file encryption_info.h.

## crypt_byte_block

uint32_t AVEncryptionInfo::crypt_byte_block

Only used for pattern encryption.

This is the number of 16-byte blocks that are encrypted.

Definition at line 51 of file encryption_info.h.

## skip_byte_block

uint32_t AVEncryptionInfo::skip_byte_block

Only used for pattern encryption.

This is the number of 16-byte blocks that are clear.

Definition at line 57 of file encryption_info.h.

## key_id

uint8_t* AVEncryptionInfo::key_id

The ID of the key used to encrypt the packet.

This should always be 16 bytes long, but may be changed in the future.

Definition at line 63 of file encryption_info.h.

## key_id_size

uint32_t AVEncryptionInfo::key_id_size

Definition at line 64 of file encryption_info.h.

## iv

uint8_t* AVEncryptionInfo::iv

The initialization vector.

This may have been zero-filled to be the correct block size. This should always be 16 bytes long, but may be changed in the future.

Definition at line 71 of file encryption_info.h.

## iv_size

uint32_t AVEncryptionInfo::iv_size

Definition at line 72 of file encryption_info.h.

## subsamples

AVSubsampleEncryptionInfo* AVEncryptionInfo::subsamples

An array of subsample encryption info specifying how parts of the sample are encrypted.

If there are no subsamples, then the whole sample is encrypted.

Definition at line 79 of file encryption_info.h.

## subsample_count

uint32_t AVEncryptionInfo::subsample_count

Definition at line 80 of file encryption_info.h.

The documentation for this struct was generated from the following file:

- libavutil/encryption_info.h